org.apache.solr.analytics.accumulator.facet

## Interface FacetValueAccumulator

- All Known Implementing Classes:
    FacetingAccumulator

      public interface FacetValueAccumulator

  Interface that describes the methods needed for an Accumulator to be able to handle fieldFacets, rangeFacets and queryFacets.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectField(int doc, String facetName, String facetValue)`
    `void` | `collectQuery(int doc, String facetName, String facetValue)`
    `void` | `collectRange(int doc, String facetName, String facetValue)`
    `void` | `setQueryStatsCollectorReaders(LeafReaderContext context)`
    `void` | `setRangeStatsCollectorReaders(LeafReaderContext context)`

- - ### Method Detail

    - #### collectField

          void collectField(int doc,
                            String facetName,
                            String facetValue)
                     throws IOException

      Throws:
        `IOException`

    - #### collectQuery

          void collectQuery(int doc,
                            String facetName,
                            String facetValue)
                     throws IOException

      Throws:
        `IOException`

    - #### collectRange

          void collectRange(int doc,
                            String facetName,
                            String facetValue)
                     throws IOException

      Throws:
        `IOException`

    - #### setQueryStatsCollectorReaders

          void setQueryStatsCollectorReaders(LeafReaderContext context)
                                      throws IOException

      Throws:
        `IOException`

    - #### setRangeStatsCollectorReaders

          void setRangeStatsCollectorReaders(LeafReaderContext context)
                                      throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.